#gets executed every game tick



#tag the pieces for ease of programming and server load reduction
execute as @e[type=item,nbt={Item:{id:"minecraft:shulker_shell"}}] run tag @s add bridge_piece
execute as @e[type=item,nbt={Item:{id:"minecraft:popped_chorus_fruit"}}] run tag @s add gear


#particles around the bridge pieces
execute at @e[tag=bridge_piece] run particle minecraft:wax_on ~ ~1.7 ~ 1 1 1 0 1 force
execute at @e[tag=bridge_piece] run particle minecraft:wax_off ~ ~1.7 ~ 1 1 1 0 1 force


#particles around the gears
execute at @e[tag=gear] run particle minecraft:wax_off ~ ~1.7 ~ 0.7 0.7 0.7 0 1 force


#prevent the destruction of the bridge pieces
execute as @e[tag=bridge_piece] run data merge entity @s {Invulnerable:true,Fire:-1s,Age:-32768s}


#track the amount of bridge pieces which have been picked up
execute if entity @a[nbt={Inventory:[{id:"minecraft:shulker_shell"}]},gamemode=!creative,gamemode=!spectator] run scoreboard players add Total collected_bridge_pieces 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:shulker_shell"}]},gamemode=!creative,gamemode=!spectator] run playsound minecraft:ambient.bridge_piece_collected ambient @a[gamemode=adventure] ~ ~ ~ 1 1 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:shulker_shell"}]}] run clear @a[gamemode=!spectator,gamemode=!creative] minecraft:shulker_shell


#reset
scoreboard players set * bridge_piece_pickup 0