#prepares a new player by and sends them to the start of the map



clear @s
gamemode adventure @s
effect clear @s
effect give @s minecraft:instant_health 1 100 true


#scoreboards
scoreboard players set Maximum collected_bridge_pieces 22
scoreboard players set Needed collected_bridge_pieces 16
execute unless entity @p[tag=started_to_play_the_map] run scoreboard players set Total collected_bridge_pieces 0


#start background music
function ercerus:music/change_music
tag @s add regular_background_music


#give out all the starting items
give @a iron_pickaxe{Unbreakable:1,display:{Lore:['[{"text":"Can Break:","italic":false,"color":"gray"}]','[{"text":"Brittle Yellow Rocks ","italic":false,"color":"dark_gray"},{"text":"\\uE502","italic":false,"color":"white"}]','[{"text":"Hidden Treasure Spots ","italic":false,"color":"dark_gray"},{"text":"\\uE503","italic":false,"color":"white"}]']},HideFlags:12,CanDestroy:[yellow_concrete,nether_bricks]} 1
give @s minecraft:compass{display:{Name:'{"text":"Compass","color":"white","italic":"false"}',Lore:['{"text":"Always points to the north.","italic":"false","color":"gray"}']},LodestoneDimension:"minecraft:overworld",LodestonePos:{X:10000,Y:63,Z:-100000},LodestoneTracked:0b}
give @s minecraft:spyglass


#send the player to the start of the map
tp @s 10006.5 64.0 59.5 180 5
execute if block 10006 66 59 minecraft:barrier run effect give @s minecraft:invisibility 120 0 true
spawnpoint @s 10006 64 59 -167


#create rare animal variations
#execute unless entity @p[tag=started_to_play_the_map] run function ercerus:reset/rare_animals


#fore the corporal to look at the player
execute positioned 10006.5 64.0 55.5 run data merge entity @e[tag=corporal,limit=1,sort=nearest] {Rotation: [0.0f, 0.0f]}


#In case of multiplayer: Prevent people who have already started to play from beeing forced back to the start of the map
tag @a add started_to_play_the_map